/*
 * UINineSlice.h
 *
 *  Created on: May 31, 2020
 *      Author: ayoungblood
 */

#ifndef SRC_UININESLICE_H_
#define SRC_UININESLICE_H_

#include <SDL2/SDL.h>
#include "string"
#include "../game/Game.hpp"

class UINineSlice
{
public:
	std::string textureID;
	SDL_Rect destRect;
	UINineSlice(std::string texID);
	~UINineSlice();
	void MakeSlices(std::string texture, int srcW, int srcH, int x0, int x1, int y0, int y1, SDL_Rect destRect, int scale, Game::groupLabels label);
	void AddSlice(SDL_Rect srcRect, SDL_Rect destRect, int scale, Game::groupLabels label);
private:

};


#endif /* SRC_UININESLICE_H_ */
